(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
    typeof define === 'function' && define.amd ? define('@kobotech/ngx-utils', ['exports'], factory) :
    (global = global || self, factory((global.kobotech = global.kobotech || {}, global.kobotech['ngx-utils'] = {})));
}(this, (function (exports) { 'use strict';

    var humanizeTime = function (testDate, currentDate) {
        if (!testDate || !currentDate)
            return;
        var isPast = function (test, current) {
            return test.valueOf() < current.valueOf();
        };
        var isFuture = function (test, current) {
            return test.valueOf() > current.valueOf();
        };
        var timeDiff = function (test, current) {
            var minute = 60;
            var hour = minute * minute;
            var day = hour * 24;
            var week = day * 7;
            var month = week * 4;
            var diff = Math.abs(test.valueOf() - current.valueOf()) / 1000;
            if (diff <= minute) {
                return 'moments';
            }
            else if (diff <= hour) {
                var prefix = Math.floor(diff / minute);
                return prefix + "min";
            }
            else if (diff <= day) {
                var prefix = Math.floor(diff / hour);
                return prefix + "hr";
            }
            else if (diff <= week) {
                var prefix = Math.floor(diff / day);
                return prefix + "day";
            }
            else if (diff <= month) {
                var prefix = Math.floor(diff / week);
                return prefix + "week";
            }
            else if (diff > month) {
                var prefix = Math.floor(diff / month);
                return prefix + "month";
            }
            else {
                return '';
            }
        };
        var _suffix = isPast(testDate, currentDate) ? 'ago' : isFuture(testDate, currentDate) ? 'from now' : '';
        var _prefix = timeDiff(testDate, currentDate);
        return (_prefix + " " + _suffix).trim();
    };

    exports.humanizeTime = humanizeTime;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=kobotech-ngx-utils.umd.js.map
