const humanizeTime = (testDate, currentDate) => {
    if (!testDate || !currentDate)
        return;
    const isPast = (test, current) => {
        return test.valueOf() < current.valueOf();
    };
    const isFuture = (test, current) => {
        return test.valueOf() > current.valueOf();
    };
    const timeDiff = (test, current) => {
        const minute = 60;
        const hour = minute * minute;
        const day = hour * 24;
        const week = day * 7;
        const month = week * 4;
        const diff = Math.abs(test.valueOf() - current.valueOf()) / 1000;
        if (diff <= minute) {
            return 'moments';
        }
        else if (diff <= hour) {
            const prefix = Math.floor(diff / minute);
            return `${prefix}min`;
        }
        else if (diff <= day) {
            const prefix = Math.floor(diff / hour);
            return `${prefix}hr`;
        }
        else if (diff <= week) {
            const prefix = Math.floor(diff / day);
            return `${prefix}day`;
        }
        else if (diff <= month) {
            const prefix = Math.floor(diff / week);
            return `${prefix}week`;
        }
        else if (diff > month) {
            const prefix = Math.floor(diff / month);
            return `${prefix}month`;
        }
        else {
            return '';
        }
    };
    const _suffix = isPast(testDate, currentDate) ? 'ago' : isFuture(testDate, currentDate) ? 'from now' : '';
    const _prefix = timeDiff(testDate, currentDate);
    return `${_prefix} ${_suffix}`.trim();
};

/*
 * Public API Surface of ngx-utils
 */

/**
 * Generated bundle index. Do not edit.
 */

export { humanizeTime };
//# sourceMappingURL=kobotech-ngx-utils.js.map
